// Folgender ifdef-Block ist die Standardmethode zum Erstellen von Makros, die das Exportieren 
// aus einer DLL vereinfachen. Alle Dateien in dieser DLL werden mit dem TX_EXPORTS-Symbol
// (in der Befehlszeile definiert) kompiliert. Dieses Symbol darf fr kein Projekt definiert werden,
// das diese DLL verwendet. Alle anderen Projekte, deren Quelldateien diese Datei beinhalten, erkennen 
// TX_API-Funktionen als aus einer DLL importiert, whrend die DLL
// mit diesem Makro definierte Symbole als exportiert ansieht.
#ifdef TX_EXPORTS
#define TX_API __declspec(dllexport)
#else
#define TX_API __declspec(dllimport)
#endif

// Diese Klasse wird aus TX.dll exportiert.
//class TX_API CTX {
//public:
//	CTX(void);
	// TODO: Hier die Methoden hinzufgen.
//};

//extern TX_API int nTX;

//TX_API int fnTX(void);
int  __stdcall txOpenController(int ComNr);
int  __stdcall txCloseController();

int  __stdcall txGetAnalog(int ctrId, int inpNr);
int  __stdcall txGetDistance(int ctrId, int inpNr);
int  __stdcall txGetInput(int ctrId, int inpNr);
int  __stdcall txGetTrack(int ctrId, int inpNr);
int  __stdcall txGetVoltage(int ctrId, int inpNr);

int  __stdcall txGetCounter(int ctrId, int cntNr);
int  __stdcall txClearCounter(int ctrId, int cntNr);

int  __stdcall txSetLamp(int ctrId, int outNr, int OnOff);
int  __stdcall txSetMotor(int ctrId, int outNr, int dir, int speed);
int  __stdcall txStartMotor(int ctrId, int outNr, int dir, int speed, int iCount, int robMode);
int  __stdcall txStartMotorSync(int ctrId, int mNr, int sNr, int dir1, int dir2, int speed, int iCount, int mode) ;
int  __stdcall txStopMotor(int ctrId, int outNr);
int  __stdcall txIsMotorReady(int ctrId, int outNr);
int  __stdcall txAreMotorsReady(int ctrId, int mNr, int sNr);


int __stdcall txi2cread (BYTE devaddr, DWORD offset, BYTE protocol);
int __stdcall txi2cwrite (BYTE devaddr, DWORD offset, WORD data, BYTE protocol);

int __stdcall txInitGPS(int radius);
int __stdcall txGetGPSSat() ;
int __stdcall txGetGPSBreite();
int __stdcall txGetGPSLaenge();
int __stdcall txGetGPSZeit() ;
int __stdcall txGetGPSGesch();
int __stdcall txGetGPSHoehe();

int __stdcall txGetPixyCheck() ;
int __stdcall txGetPixyObjekt() ;
int __stdcall txGetPixyx_cent() ;
int __stdcall txGetPixyy_cent() ;
int __stdcall txGetPixybreite() ;
int __stdcall txGetPixyhoehe() ;

void __stdcall txSleep(int mSek);
int  __stdcall txEsc();
int  __stdcall txGetTickCount();
void __stdcall txpixy() ;